@icon("res://assets/editor/64x64/fc1515.png")
extends Node2D
class_name RangedWeaponComponent

@export var stats: StatsComponent

@onready var modifier_manager = $ModifierManager

func _ready() -> void:
	Log.pr("RangedWeaponComponent initialized")
	modifier_manager.set_stats(stats)

func add_modifier(modifier: Modifier) -> void:
	modifier_manager.add_modifier(modifier)

func remove_modifier(modifier_id: String) -> void:
	modifier_manager.remove_modifier(modifier_id)